Repositories
ListRepositories gets a list of all configured repositories.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
Whether to force a cache refresh on repo's connection state.
The associated project project.
A successful response.
RepositoryList is a collection of Repositories.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories HTTP/1.1
Accept: */*
{
"metadata": {
"selfLink": "text",
"resourceVersion": "text",
"continue": "text",
"remainingItemCount": "text",
"shardInfo": {
"selector": "text"
}
},
"items": [
{
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
}
]
}CreateRepository creates a new repository configuration.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
UNSETPossible values: refreshInterval in format 1s, 1m, 1h...
A successful response.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Kubernetes ObjectMeta.UID of the repository Secret.
Sub-identifier for ConfigMap-extracted entities; empty for Repositories.
UID of the parent agent document.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/repositories HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1407
{
"repo": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"upsert": true,
"credsOnly": true,
"genType": "UNSET",
"ecrGen": {
"region": "text",
"secretRef": {
"awsAccessKeyID": "text",
"awsSecretAccessKey": "text",
"awsSessionToken": "text"
},
"jwtAuth": {
"name": "text",
"namespace": "text",
"audiences": [
"text"
]
},
"role": "text"
},
"gcrGen": {
"projectID": "text",
"accessKey": "text",
"workloadIdentity": {
"serviceAccountRef": {
"name": "text",
"namespace": "text",
"audiences": [
"text"
]
},
"clusterLocation": "text",
"clusterName": "text",
"clusterProjectID": "text"
}
},
"refreshInterval": "text"
}{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repository": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"repositoryCredentialsId": "text",
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}CheckExternalSecretsOperator Checks whether External Secrets Operator is installed or not
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories/eso/check HTTP/1.1
Accept: */*
{
"esoPresent": true
}Returns a list of ESO generators installed in agent namespace.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
UNSETPossible values: A successful response.
UNSETPossible values: An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories/eso/generators HTTP/1.1
Accept: */*
{
"type": "UNSET",
"ecrGen": {
"region": "text",
"secretRef": {
"awsAccessKeyID": "text",
"awsSecretAccessKey": "text",
"awsSessionToken": "text"
},
"jwtAuth": {
"name": "text",
"namespace": "text",
"audiences": [
"text"
]
},
"role": "text"
},
"gcrGen": {
"projectID": "text",
"accessKey": "text",
"workloadIdentity": {
"serviceAccountRef": {
"name": "text",
"namespace": "text",
"audiences": [
"text"
]
},
"clusterLocation": "text",
"clusterName": "text",
"clusterProjectID": "text"
}
}
}CheckOCIRepoType Returns the Repository type of OCI repo
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OCI Repository URL.
A successful response.
UNSETPossible values: An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/repositories/oci/type HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"repoURL": "text"
}{
"ociRepoType": "UNSET"
}ValidateAccess gets connection state for a repository.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/repositories/validate HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 395
{
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"insecure": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"enableOci": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"updateMask": {
"paths": [
"text"
]
}
}{
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
}Get returns a repository or its credentials.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
Whether to force a cache refresh on repo's connection state.
The associated project project.
A successful response.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Kubernetes ObjectMeta.UID of the repository Secret.
Sub-identifier for ConfigMap-extracted entities; empty for Repositories.
UID of the parent agent document.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier} HTTP/1.1
Accept: */*
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repository": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"repositoryCredentialsId": "text",
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}UpdateRepository updates a repository configuration.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
UNSETPossible values: refreshInterval in format 1s, 1m, 1h...
A successful response.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Kubernetes ObjectMeta.UID of the repository Secret.
Sub-identifier for ConfigMap-extracted entities; empty for Repositories.
UID of the parent agent document.
An unexpected error response.
PUT /api/v1/agents/{agentIdentifier}/repositories/{identifier} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1408
{
"repo": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"updateMask": {
"paths": [
"text"
]
},
"genType": "UNSET",
"ecrGen": {
"region": "text",
"secretRef": {
"awsAccessKeyID": "text",
"awsSecretAccessKey": "text",
"awsSessionToken": "text"
},
"jwtAuth": {
"name": "text",
"namespace": "text",
"audiences": [
"text"
]
},
"role": "text"
},
"gcrGen": {
"projectID": "text",
"accessKey": "text",
"workloadIdentity": {
"serviceAccountRef": {
"name": "text",
"namespace": "text",
"audiences": [
"text"
]
},
"clusterLocation": "text",
"clusterName": "text",
"clusterProjectID": "text"
}
},
"refreshInterval": "text"
}{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repository": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"repositoryCredentialsId": "text",
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}DeleteRepository deletes a repository from the configuration.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
Whether to force a cache refresh on repo's connection state.
The associated project project.
A successful response.
An unexpected error response.
DELETE /api/v1/agents/{agentIdentifier}/repositories/{identifier} HTTP/1.1
Accept: */*
{}GetAppDetails returns application details by given path.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
RepoURL is the URL to the repository (Git or Helm) that contains the application manifests.
Path is a directory path within the Git repository, and is only valid for applications sourced from Git.
TargetRevision defines the revision of the source to sync the application to. In case of Git, this can be commit, tag, or branch. If omitted, will equal to HEAD. In case of Helm, this is a semver tag for the Chart's version.
ValuesFiles is a list of Helm value files to use when generating a template.
ReleaseName is the Helm release name to use. If omitted it will use the application name.
Values specifies Helm values to be passed to helm template, typically defined as a block.
Version is the Helm version to use for templating (either "2" or "3").
PassCredentials pass credentials to all domains (Helm's --pass-credentials).
IgnoreMissingValueFiles prevents helm template from failing when valueFiles do not exist locally by not appending them to helm template --values.
SkipCrds skips custom resource definition installation step (Helm's --skip-crds).
Namespace is an optional namespace to template with. If left empty, defaults to the app's destination namespace.
KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.
APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.
SkipTests skips test manifest installation step (Helm's --skip-tests).
SkipSchemaValidation skips JSON schema validation (Helm's --skip-schema-validation).
NamePrefix overrides the namePrefix in the kustomization.yaml for Kustomize apps.
NameSuffix overrides the nameSuffix in the kustomization.yaml for Kustomize apps.
Images is a list of Kustomize image override specifications.
Version controls which version of Kustomize to use for rendering manifests.
ForceCommonLabels specifies whether to force applying common labels to resources for Kustomize apps.
ForceCommonAnnotations specifies whether to force applying common annotations to resources for Kustomize apps.
Namespace sets the namespace that Kustomize adds to all resources.
CommonAnnotationsEnvsubst specifies whether to apply env variables substitution for annotation values.
Components specifies a list of kustomize components to add to the kustomization before building.
LabelWithoutSelector specifies whether to apply common labels to resource selectors or not.
KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.
APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.
IgnoreMissingComponents prevents kustomize from failing when components do not exist locally by not appending them to kustomization file.
LabelIncludeTemplates specifies whether to apply common labels to resource templates or not.
Environment is a ksonnet application environment name.
Recurse specifies whether to scan a directory recursively for manifests.
Additional library search dirs.
Exclude contains a glob pattern to match paths against that should be explicitly excluded from being used during manifest generation.
Include contains a glob pattern to match paths against that should be explicitly included during manifest generation.
Chart is a Helm chart name, and must be specified for applications sourced from a Helm repo.
Ref is reference to another source within sources field. This field will not be used if used with a source tag.
Name is used to refer to a source and is displayed in the UI. It is used in multi-source Applications.
TagPrefix filters git tags to only those with this prefix before evaluating targetRevision as a semver constraint. The prefix is stripped from tag names before comparison and re-added to the resolved version. For example, with tagPrefix "component-b/" and targetRevision "1.0.*", tags like "component-b/1.0.0" and "component-b/1.0.1" are candidates, and the constraint resolves to "component-b/1.0.1".
source index (for multi source apps).
versionId from historical data (for multi source apps).
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/appdetails HTTP/1.1
Accept: */*
{
"type": "text",
"ksonnet": {
"name": "text",
"environments": {
"ANY_ADDITIONAL_PROPERTY": {
"name": "text",
"k8sVersion": "text",
"destination": {
"server": "text",
"namespace": "text"
}
}
},
"parameters": [
{
"component": "text",
"name": "text",
"value": "text"
}
]
},
"helm": {
"name": "text",
"valueFiles": [
"text"
],
"parameters": [
{
"name": "text",
"value": "text",
"forceString": true
}
],
"values": "text",
"fileParameters": [
{
"name": "text",
"path": "text"
}
]
},
"kustomize": {
"images": [
"text"
]
},
"directory": {}
}ListApps returns list of apps in the repo.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/apps HTTP/1.1
Accept: */*
{
"items": [
{
"type": "text",
"path": "text"
}
]
}GetHelmCharts returns list of helm charts in the specified repository.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
Whether to force a cache refresh on repo's connection state.
The associated project project.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/helmcharts HTTP/1.1
Accept: */*
{
"items": [
{
"name": "text",
"versions": [
"text"
]
}
]
}Returns a list of refs (e.g. branches and tags) in the repo.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
Whether to force a cache refresh on repo's connection state.
The associated project project.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/refs HTTP/1.1
Accept: */*
{
"branches": [
"text"
],
"tags": [
"text"
]
}GetAppDetails returns application details by given path.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
RepoURL is the URL to the repository (Git or Helm) that contains the application manifests.
Path is a directory path within the Git repository, and is only valid for applications sourced from Git.
TargetRevision defines the revision of the source to sync the application to. In case of Git, this can be commit, tag, or branch. If omitted, will equal to HEAD. In case of Helm, this is a semver tag for the Chart's version.
ValuesFiles is a list of Helm value files to use when generating a template.
ReleaseName is the Helm release name to use. If omitted it will use the application name.
Values specifies Helm values to be passed to helm template, typically defined as a block.
Version is the Helm version to use for templating (either "2" or "3").
PassCredentials pass credentials to all domains (Helm's --pass-credentials).
IgnoreMissingValueFiles prevents helm template from failing when valueFiles do not exist locally by not appending them to helm template --values.
SkipCrds skips custom resource definition installation step (Helm's --skip-crds).
Namespace is an optional namespace to template with. If left empty, defaults to the app's destination namespace.
KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.
APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.
SkipTests skips test manifest installation step (Helm's --skip-tests).
SkipSchemaValidation skips JSON schema validation (Helm's --skip-schema-validation).
NamePrefix overrides the namePrefix in the kustomization.yaml for Kustomize apps.
NameSuffix overrides the nameSuffix in the kustomization.yaml for Kustomize apps.
Images is a list of Kustomize image override specifications.
Version controls which version of Kustomize to use for rendering manifests.
ForceCommonLabels specifies whether to force applying common labels to resources for Kustomize apps.
ForceCommonAnnotations specifies whether to force applying common annotations to resources for Kustomize apps.
Namespace sets the namespace that Kustomize adds to all resources.
CommonAnnotationsEnvsubst specifies whether to apply env variables substitution for annotation values.
Components specifies a list of kustomize components to add to the kustomization before building.
LabelWithoutSelector specifies whether to apply common labels to resource selectors or not.
KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.
APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.
IgnoreMissingComponents prevents kustomize from failing when components do not exist locally by not appending them to kustomization file.
LabelIncludeTemplates specifies whether to apply common labels to resource templates or not.
Environment is a ksonnet application environment name.
Recurse specifies whether to scan a directory recursively for manifests.
Additional library search dirs.
Exclude contains a glob pattern to match paths against that should be explicitly excluded from being used during manifest generation.
Include contains a glob pattern to match paths against that should be explicitly included during manifest generation.
Chart is a Helm chart name, and must be specified for applications sourced from a Helm repo.
Ref is reference to another source within sources field. This field will not be used if used with a source tag.
Name is used to refer to a source and is displayed in the UI. It is used in multi-source Applications.
TagPrefix filters git tags to only those with this prefix before evaluating targetRevision as a semver constraint. The prefix is stripped from tag names before comparison and re-added to the resolved version. For example, with tagPrefix "component-b/" and targetRevision "1.0.*", tags like "component-b/1.0.0" and "component-b/1.0.1" are candidates, and the constraint resolves to "component-b/1.0.1".
source index (for multi source apps).
versionId from historical data (for multi source apps).
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/appdetails HTTP/1.1
Accept: */*
{
"type": "text",
"ksonnet": {
"name": "text",
"environments": {
"ANY_ADDITIONAL_PROPERTY": {
"name": "text",
"k8sVersion": "text",
"destination": {
"server": "text",
"namespace": "text"
}
}
},
"parameters": [
{
"component": "text",
"name": "text",
"value": "text"
}
]
},
"helm": {
"name": "text",
"valueFiles": [
"text"
],
"parameters": [
{
"name": "text",
"value": "text",
"forceString": true
}
],
"values": "text",
"fileParameters": [
{
"name": "text",
"path": "text"
}
]
},
"kustomize": {
"images": [
"text"
]
},
"directory": {}
}ListApps returns list of apps in the repo.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/apps HTTP/1.1
Accept: */*
{
"items": [
{
"type": "text",
"path": "text"
}
]
}GetHelmCharts returns list of helm charts in the specified repository.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
Whether to force a cache refresh on repo's connection state.
The associated project project.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/helmcharts HTTP/1.1
Accept: */*
{
"items": [
{
"name": "text",
"versions": [
"text"
]
}
]
}Returns a list of refs (e.g. branches and tags) in the repo.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
Whether to force a cache refresh on repo's connection state.
The associated project project.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/refs HTTP/1.1
Accept: */*
{
"branches": [
"text"
],
"tags": [
"text"
]
}Returns a repository by URL
Agent identifier for entity.
Account Identifier for the Agent.
Organization Identifier for the Agent.
Project Identifier for the Agent.
URL by which to find the repository entity managed by agent.
Indicates whether the identifier of repo fetched must contain the harness scope prefix such (account./org.)
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repository_byurl HTTP/1.1
Accept: */*
{
"repository": [
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repository": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"repositoryCredentialsId": "text",
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}
]
}ListRepositoriesByRepositoryCredentialTemplate lists Repositories by repositories credential template
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
Agent identifier for entity.
A successful response.
An unexpected error response.
GET /api/v1/repositories HTTP/1.1
Accept: */*
{
"content": [
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repository": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"repositoryCredentialsId": "text",
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}
],
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}ListRepositories retrieves a list of all configured repositories.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
Agent identifier for entity.
Filters for Repositories. Eg. "identifier": { "$in": ["id1", "id2"]
SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: A successful response.
An unexpected error response.
POST /api/v1/repositories HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 270
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"agentIdentifier": "text",
"searchTerm": "text",
"pageSize": 1,
"pageIndex": 1,
"filter": {},
"sortBy": "SORT_BY_NOT_SET",
"sortOrder": "SORT_ORDER_NOT_SET",
"inheritedCreds": true,
"includeChildScopes": true
}{
"content": [
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repository": {
"repo": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"connectionState": {
"status": "text",
"message": "text",
"attemptedAt": {
"seconds": "text",
"nanos": 1
},
"attemptedAtTs": "2026-01-01T00:00:00.000Z"
},
"insecureIgnoreHostKey": true,
"insecure": true,
"enableLfs": true,
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"type": "text",
"name": "text",
"inheritedCreds": true,
"enableOCI": true,
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"proxy": "text",
"project": "text",
"connectionType": "text",
"forceHttpBasicAuth": true,
"noProxy": "text",
"useAzureWorkloadIdentity": true,
"bearerToken": "text",
"insecureOCIForceHttp": true,
"depth": "text",
"webhookManifestCacheWarmDisabled": true,
"azureServicePrincipalClientId": "text",
"azureServicePrincipalClientSecret": "text",
"azureServicePrincipalTenantId": "text",
"azureActiveDirectoryEndpoint": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"repositoryCredentialsId": "text",
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}
],
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}Exists checks whether a repository with the given URL exists.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
A successful response.
An unexpected error response.
GET /api/v1/repositories/exists HTTP/1.1
Accept: */*
trueLast updated
Was this helpful?